# Note that this is NOT a relocatable package
%define ver 0.3.0
%define  RELEASE 1
%define  rel %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix /usr

Summary: Morse Code Reader
Name: morse2txt
Version: %ver
Release: %rel
Copyright: GNU
Group: Applications/Communications
Source: morse2txt-%{ver}.tar.gz
BuildRoot: /var/tmp/morse2txt-%{PACKAGE_VERSION}-root
#BuildRequires:  scrollkeeper >= %skreq

URL: http://sourceforge.net/projects/morse2txt/
Requires: gnome-libs >= 2.0, gsl >= 0.9
Summary(es): Morse Code Reader

%description
A Gnome based Morse code reader for OSS sound devices.

%changelog
* Add date ?????????????????????????????????
- Fix small memory leak when Start button is pressed while morse threads
  are running (bug ID 1273732)
- Fix initial busy and then freed audio device from prohibiting a re-start
  of morse code decoding (bug ID 1241589). 
- Add audio abstraction layer which is a stepping stone for ALSA support.
  Also a stepping stone for audio loopback, so morse2txt can be used for an
  audio dsp filter.

* Sat May 07 2005 Ken Prox <kprox@wwnet.net>
- AGC gain increase rate based on audio and Morse settings, fixed to 3s for now.
- Fixed two characters that were wrong "@" and "-"
- Added a few more Morse characters, + " ' ( ) _ $ etc...
- Added additional AGC algorithms.
- Added AGC enable/disable button.
- Fixed bug where if morse reading is stopped, and then morse preferences are
  changed, a non-existant filter would be modified (frequency adjustment change),
  locking application.
- Added gui hooks for front end filter, bandwidth and apply.
- Added preferences for the filter configuration in the Preferences dialog.

* Sat Apr 23 2005 Ken Prox <kprox@wwnet.net>
- Fixed bug where if morse reading is stopped, and then morse preferences are
  changed, a non-existant filter would be modified (frequency adjustment change),
  locking application.
- Added gui hooks for front end filter, bandwidth and apply.
- Added preferences for the filter configuration in the Preferences dialog.

* Tue Apr 12 2005 Ken Prox <kprox@wwnet.net>
- More Noise immunity improvments:
- Build array of fft packet amplitudes, and then deglitch using median filter.
- Added FFT Window filter (fixed order and BW, for now, 500Hz to 1500Hz with 32 taps).

* Fri Apr 01 2005 Ken Prox <kprox@wwnet.net>
- Fix locked application when starting morse decoder when audio device is busy.
- Improve noise immunity.
- Refactor morse algorithm.
- Allow GtkCurve to shrink.
- Remove noisy signal fixes from GUI.

* Sun Feb 20 2005 Ken Prox <kprox@wwnet.net>
- Fix alignment of discrete time window.
- Add Blackman window to discrete time window functions.
- Refactor dt_window.[ch]

* Sat Jan 15 2005 Ken Prox <kprox@wwnet.net>
- Fix thread joining in gtk callback using g_idle_add.
- Fixed include file foldings, no functional change, only code refactoring.
- Reduced coupling between GUI and functional code.
- Ported to Gtk 2.0.
- Fixed multiple spaces appended to text buffer growing GUI width.
- Added auto-scroll to text window.
- Corrected date format in spec file.
 
%prep
%setup -q

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT

#export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
#unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
#rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
#%{_datadir}/pixmaps/%{name}
#%{_datadir}/omf/%{name}
#%{_datadir}/gnome/help/%{name}
#%{_sysconfdir}/gconf/schemas/%{name}.schemas

%post
#if which scrollkeeper-update >/dev/null 2>&1; then
#        echo "Doing scrollkeeper update."
#        scrollkeeper-update -q -o %{_datadir}/omf/%{name}
#fi
#if which gconftool-2 >/dev/null 2>&1; then
#        echo "Installing gconf schema."
#        export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#        gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas >
#fi

%postun
#if which scrollkeeper-update >/dev/null 2>&1; then
#        scrollkeeper-update -q
#fi
